#ifndef _GLOVE_H
#define _GLOVE_H
/****************************************************************
*	glove.h														*
*	By Shady el Mously											*
*	class abstarction for the glove								*
****************************************************************/

#include "fglove.h"		//	header for the glove

class cGlove
{
private:

	fdGlove *pGlove;	//	a pointer to the glove itself

public:

	char*			m_GloveType			;	//	type of the glove
	char*			m_GloveHandedness	;	//	left or right ?
	int				m_NumSensors		;	//	number of sensors in the glove
	unsigned char	m_GloveInfo[64]		;	//	the glove information


	//	glove data
	int		m_Roll		;	//	roll angle
	int		m_Pitch		;	//	pitch angle
	int		m_Thumb		;	//	thumb angle;
	int		m_Index		;	//	index angle;
	int		m_Middle	;	//	middle angle;
	int		m_Ring		;	//	ring angle..center is 128
	int		m_Little	;	//	little angle..cenrter is 128

	//	default constructor
	cGlove();

	//	this will get all the glove data
	void GetData();

	//	this function should be used to write the glove information
	void DrawInfo();


	//	destructor
	virtual ~cGlove();
};
/*-----------------end of class cGlove declaration--------------*/


#endif //_GLOVE_H